import { generateActionsForStore } from './actions';
import { get, getNodeActions } from './info';
export const initialFetch = (store, ignoreNodes = []) => {
    const actions = generateActionsForStore(store.getState());
    const state = store.getState();
    const getActions = getNodeActions(state, (i) => i, 'get');
    for (let apiInfo of getActions) {
        const { verb, nodeName } = apiInfo;
        const action = get(actions, [nodeName, verb], null);
        if (!action || ignoreNodes.includes(nodeName)) {
            continue;
        }
        store.dispatch(action({}));
    }
};
