import { generateActionTypesDictionaryForStore } from './actionTypes';
import { analyzeStructure } from './structure';
export const getNodeActions = (initialState, predicate, verb) => {
    const actionTypeToInfo = generateActionTypesDictionaryForStore(initialState);
    const structure = analyzeStructure(initialState);
    const output = [];
    Object.keys(structure)
        .filter((node) => {
        const nodeType = structure[node];
        return predicate(nodeType);
    })
        .forEach((node) => {
        const info = Object.values(actionTypeToInfo).find((i) => {
            return i.nodeName === node && i.verb === verb;
        });
        if (info) {
            output.push(info);
        }
    });
    return output;
};
export const get = (obj, path, defaultValue) => {
    let output = obj;
    for (let i = 0; i < path.length; i++) {
        const key = path[i];
        if (key in output === false) {
            return defaultValue;
        }
        output = output[key];
    }
    return output;
};
