import { applyMiddleware, combineReducers, compose, createStore, } from 'redux';
import { generateActionsForStore } from './actions';
import { generateReducersForStore } from './reducers';
export const quickStore = (initialState, middlewares = []) => {
    const actions = generateActionsForStore(initialState);
    const reducers = generateReducersForStore(initialState);
    const rootReducer = combineReducers(reducers);
    const middlewareEnhancer = applyMiddleware(...middlewares);
    const composedEnhancers = compose(middlewareEnhancer);
    const store = createStore(rootReducer, initialState, composedEnhancers);
    return { store, actions };
};
